#ifndef WEENSYOS_MEMOS_H
#define WEENSYOS_MEMOS_H
#include "types.h"

/* SPEED CONSTANTS */
// These constants control how fast MemOS appears to run.
// The higher the constants, the slower it goes.
// Reduce these constants if your MemOS seems too slow (but not below 0).

#define ALLOC_SPEED		5	// Processes' memory allocation speed
#define MEMORY_FLIPPER_SPEED	80	// Speed between flips in VM display


/* MEMORY CONSTANTS */

// The amount of physical memory in the machine
#define MAX_PHYSICAL_MEMORY	0x200000
// The maximum virtual address MemOS supports
#define MAX_ADDRESS		0x300000


/* TRAP NUMBERS */

#define TRAP_PAGEFAULT		14	// Page fault
#define TRAP_INTERRUPTS		32	// First hardware interrupt
// An application calls a system call by causing one of these interrupts:
#define TRAP_SYS_PAGE_ALLOC	48	// System call numbers
#define TRAP_SYS_RANDOM		49
#define TRAP_SYS_YIELD		50

#endif
